Bug 183292 - Review Request: banshee
Review Request: banshee
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On: 183290 183291
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-27 18:04 EST by Christopher Aillon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 14:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2006-02-27 18:04:15 EST
Spec and SRPM from: http://people.redhat.com/caillon/RPMS/rawhide/banshee/
Description: With Banshee you can easily import, manage, and play selections from your music collection. Banshee allows you to import CDs, sync your music collection to an iPod, play music directly from an iPod, create playlists with songs from your library, and create audio and MP3 CDs from subsets of your library.
Comment 1 Christopher Aillon 2006-02-27 18:18:54 EST
Note: my package currently doesn't support devices other than ipods.  njb-sharp
is required for that, but as I don't have one of those devices, it is probably
best I don't maintain that.  If someone wants to maintain that (perhaps the
maintainer of libnjb in extras-development?) I'll package banshee with that
support, but I'd like not to have to wait on that for the banshee packages.
Comment 2 Brian Pepple 2006-03-02 12:11:42 EST
MD5Sums:
398b69c1818568b9d7a39c5e036de84b  banshee-0.10.6.tar.gz

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly on FC5.
* Make succeeds even when %{_smp_mflags} is defined
* Able to sync iPod ok.

Bad:
* Drop Duplicate BuildRequires:
      glib2-devel (by mono-devel),
      dbus-devel (by hal-devel),
      gtk2-devel (by libgnomeui-devel),
      GConf2-devel (by libgnomeui-devel),
      gnome-vfs2-devel (by libgnomeui-devel),
      libgnomeui-devel (by gnome-desktop-devel)
* Source URL isn't canonical. Should be
http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.gz
* License is MIT, not GPL.
* Add COPYING file to package.
* Missing scriptlets & requires for GConf: refer to
http://fedoraproject.org/wiki/ScriptletSnippets#head-ff64cd482595764f672082d5a3b83e1fc22962e8
* Missing requires for desktop-file-utils needed desktop file mime update. 
Refer to
http://fedoraproject.org/wiki/ScriptletSnippets#head-d37d740d062d3aa6013aab44a79de88a6c1fe533
* Vender for desktop file should be Fedora.  Refer to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
* rpmlint gives the following errors:

  W: banshee summary-not-capitalized easily import, manage, and play selections
from your music collection
  W: banshee no-documentation
  E: banshee standard-dir-owned-by-package /usr/share/icons
  W: banshee devel-file-in-non-devel-package /usr/lib/pkgconfig/banshee.pc
  E: banshee script-without-shellbang
/usr/lib/banshee/Banshee.Plugins/MMKeys.dll.config

It should be safe to ignore the error about the script-without-shellbang, since
that is mono specific.  The other error should be fixed though.

APPROVED, once these items are corrected.
Comment 3 Brian Pepple 2006-03-10 14:54:09 EST
This has been built hasn't it?  If so, this bug can be closed.
Comment 4 Christopher Aillon 2006-03-10 14:57:57 EST
yeah

Note You need to log in before you can comment on or make changes to this bug.